org.apache.olingo.odata2.jpa.processor.api.access

## Class JPAJoinClause

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.access.JPAJoinClause

-     public class JPAJoinClause
      extends Object

  A container for Java Persistence Join Clause that can be used for building JPQL statements. The container has two main elements
  1. Java Persistence Entity -
  is the source entity participating in the join.
  2. Java Persistence Entity Relationship -
  is the entity relationship of the source entity participating in the join.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPAJoinClause.JOIN` Enumerated list of possible Joins in JPQL LEFT - left outer join FETCH - enable fetching of an association as a side effect of the execution of a query INNER - inner join

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAJoinClause(String entityName, String entityAlias, String entityRelationShip, String entityRelationShipAlias, String joinCondition, JPAJoinClause.JOIN joinType)` Constructor for creating elements of JPA Join Clause container.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEntityAlias()` The method returns Java Persistence Entity alias name participating in the join.
    `String` | `getEntityName()` The method returns Java Persistence Entity participating in the join.
    `String` | `getEntityRelationShip()` The method returns Java Persistence Entity Relationship name participating in the join.
    `String` | `getEntityRelationShipAlias()` The method returns Java Persistence Entity Relationship Alias name participating in the join.
    `String` | `getJoinCondition()` The method returns a join condition that can be used for building JPQL join statements.
    `JPAJoinClause.JOIN` | `getJoinType()` The method returns the type of `JPAJoinClause.JOIN` that can be used for building JPQL join statements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAJoinClause

          public JPAJoinClause(String entityName,
                               String entityAlias,
                               String entityRelationShip,
                               String entityRelationShipAlias,
                               String joinCondition,
                               JPAJoinClause.JOIN joinType)

      Constructor for creating elements of JPA Join Clause container.
      Parameters:
        `entityName` - is the name of the JPA entity participating in the join
        `entityAlias` - is the alias for the JPA entity participating in the join
        `entityRelationShip` - is the name of the JPA entity relationship participating in the join
        `entityRelationShipAlias` - is the alias name of the JPA entity relationship participating in the join
        `joinCondition` - is the condition on which the joins should occur
        `joinType` - is the type of join `JPAJoinClause.JOIN` to execute

  - ### Method Detail

    - #### getEntityName

          public String getEntityName()

      The method returns Java Persistence Entity participating in the join.
      Returns:
        an entity name

    - #### getEntityAlias

          public String getEntityAlias()

      The method returns Java Persistence Entity alias name participating in the join.
      Returns:
        a entity alias name

    - #### getEntityRelationShip

          public String getEntityRelationShip()

      The method returns Java Persistence Entity Relationship name participating in the join.
      Returns:
        entity alias relationship

    - #### getEntityRelationShipAlias

          public String getEntityRelationShipAlias()

      The method returns Java Persistence Entity Relationship Alias name participating in the join.
      Returns:
        entity entity relationship alias

    - #### getJoinCondition

          public String getJoinCondition()

      The method returns a join condition that can be used for building JPQL join statements.
      Returns:
        a join condition

    - #### getJoinType

          public JPAJoinClause.JOIN getJoinType()

      The method returns the type of `JPAJoinClause.JOIN` that can be used for building JPQL join statements.
      Returns:
        join type

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.